# Generated from bundler-inject-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bundler-inject

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: A bundler plugin that allows extension of a project with personal and overridden gems
License: Apache-2.0
URL: https://github.com/ManageIQ/bundler-inject
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(colorize)
# BuildRequires: rubygem(manageiq-style)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
bundler-inject is a bundler plugin that allows a developer to extend a project
with their own personal gems and/or override existing gems, without having to
modify the Gemfile, thus avoiding accidental modification of git history.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_cc.yml
%{gem_instdir}/.rubocop_local.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/plugins.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bundler-inject.gemspec

%changelog
* Mon Feb 07 2022 mockbuilder - 2.0.0-1
- Initial package
